LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLineCursor Interface Referencepublished

makes it possible to move a cursor by lines within laid out text. More...

`import"XLineCursor.idl";`

Inheritance diagram for XLineCursor:

## Public Member Functions
boolean | isAtStartOfLine ()
| determines if the cursor is positioned at the start of a line. More...
boolean | isAtEndOfLine ()
| determines if the cursor is positioned at the end of a line. More...
void | gotoEndOfLine ([in] boolean bExpand)
| moves the cursor to the end of the current line. More...
void | gotoStartOfLine ([in] boolean bExpand)
| moves the cursor to the start of the current line. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to move a cursor by lines within laid out text.

See also
  com::sun::star::table::CellCursor
  com::sun::star::text::TextCursor
  com::sun::star::text::XTextViewCursor

## Member Function Documentation

## ◆ gotoEndOfLine()

void gotoEndOfLine | ( | [in] boolean | bExpand | ) |

moves the cursor to the end of the current line.

Parameters

  bExpand | determines whether the text range of the cursor is expanded (`TRUE`) or the cursor will be just at the new position after the move (`FALSE`).

## ◆ gotoStartOfLine()

void gotoStartOfLine | ( | [in] boolean | bExpand | ) |

moves the cursor to the start of the current line.

Parameters

  bExpand | determines whether the text range of the cursor is expanded (`TRUE`) or the cursor will be just at the new position after the move (`FALSE`).

## ◆ isAtEndOfLine()

boolean isAtEndOfLine | ( |  | ) |

determines if the cursor is positioned at the end of a line.

## ◆ isAtStartOfLine()

boolean isAtStartOfLine | ( |  | ) |

determines if the cursor is positioned at the start of a line.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XLineCursor.idl